#!/usr/bin/env node
var got = require("got");
var _ = require("lodash");
var config = require("../lib/config");
var request_token, auth_token;
got(config.apiBase + "/auth_token/request", {json: true}).then(function(response){
	request_token = response.body.request_token;
	console.log("To login, please open the following URL in your browser %s/auth/%s", config.apiBase, request_token);
	setTimeout(checkToken, 250);
}).catch(function(error){
	console.error("request error", error.response.body);
});

var checkToken = function(){
	got(config.apiBase + "/auth_token/check/" + request_token, {json: true}).then(function(response){
		if(!response.body.authed){
			return setTimeout(checkToken, 250);
		}
		try {
			require('fs').writeFileSync(config.authFile, response.body.token);
			return console.log('Hi %s, you are now logged in.', response.body.user.firstName);
		} catch (e){
			return console.error('Unable to write token file, check permissions');
		}
	}).catch(function(error){
		switch(error.response.statusCode){
			case 410:
				console.error("The auth request expired, try again.");
				break;
			case 404:
				console.error("Unable to check for auth request status, it appears the token no longer exists?");
				break;
			default:
				console.error("There was an error during login, try again");
				break;
		}
	});
}