#!/usr/bin/env node
var got = require("got");
var _ = require("lodash");
var config = require("../lib/config");
var authToken = require('../lib').getAuthToken();
got(config.apiBase + "/hosts", {json: true, headers: {'X-Auth-Token': authToken}}).then(function(response){
	if(_.isArray(response.body)){
		console.log("Current hosts:\n");
		if(response.body.length == 0){
			console.log('There are no hosts');
		}
		_.each(response.body, function(hostConfig){
			console.log("\t%s\t=>\t%s:%s", hostConfig.subdomain, hostConfig.proxyHost, hostConfig.proxyPort);
		});
	}
}).catch(function(error){
	switch(error.response.statusCode){
		case 401:
			console.error("Your authentication token is invalid, please run 'dpc auth'")
			break;
		default:
			console.error("Server error", error.response.body);
			break;
	}
});