#!/usr/bin/env node
var got = require("got");
var program = require("commander");
var config = require("../lib/config");

var authToken = require('../lib').getAuthToken();
var subdomainValue;
program
	.arguments("<subdomain>")
	.action(function(subdomain){
		subdomainValue = subdomain;
	})
	.parse(process.argv);

if (typeof subdomainValue === 'undefined') {
   console.error('Subdomain is required');
   process.exit(1);
}

got.delete(config.apiBase + "/hosts/"+subdomainValue, {headers: {'X-Auth-Token': authToken}})
.then(function(response){
	console.log("Host deleted: %s", subdomainValue);
}).catch(function(error){
	switch(error.response.statusCode){
		case 401:
			console.error("Your authentication token is invalid, please run 'dpc auth'")
			break;
		case 404:
			console.error("This host does not exist.");
			break;
		default:
			console.error("Server error", error.response.body);
			break;
	}
});